Subject: [netatalk-admins] Problems with printing

From: "Jeff Oliver" <[email-masked]>
Date: Thu, 24 Jul 1997 11:22:36 -0600

Hi,

I just installed the 1.4b2 release of netatalk on my Solaris 2.5.1 box
(a SUN Ultra), and everything seemed to go very well.  All of my
daemons start up when the system boots, and I can see everything
in the chooser that I am supposed to.

However, I have defined in the papd.conf file a print queue that I have
set up on the SUN that prints to an HP5 with a jetdirect card.  I can
print to this queue from both the SUN and from my PC.  When I try
to print to this queue from the MAC, I get a postscript error at the
client.  I also get an error message on the console of the SUN saying

    papd[268]: lp_init: lock: No such file or directory
    papd[268]: lp_open failed

The entry in my papd.conf is:
    Titan:\
        :pr=raw:\
        :pd=/usr/local/atalk/etc/PPD/HPLJ5M_4.PPD:

I also had to create a /etc/printcap file.  Its entry is:
    raw:\
        :lp=:\
        :rm=hp5.cserve.uleth.ca:\
        :rp=raw:\
        :sd=/usr/spool/lp/tmp/hp5.cserve.uleth.ca:

The printer is actually set up using SYSV printing.

Can you help me?

Jeff Oliver

--
---------------------------------------------------------------
To Err is human; to really screw things up requires a computer!
---------------------------------------------------------------

Jeffrey L. Oliver
System Support Specialist
The University of Lethbridge
Phone: (403) 329-5162
Fax:   (403) 382-7108
Email: [email-masked]
www:   http://home.uleth.ca/~jeff.oliver